[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [SOLVED] Guile module for sqlite

From: Linas Vepstas
Subject: Re: [SOLVED] Guile module for sqlite
Date: Fri, 21 May 2010 17:30:39 -0500


On 21 May 2010 06:06, Andy Wingo <address@hidden> wrote:
> Hi,
> On Tue 18 May 2010 21:26, "Romel R. Sandoval Palomo" <address@hidden> writes:
>> The only issue was with LIBADD. I edited Makefiles to use -lguile-2.0
>> instead of -lguile
> Linas would you mind looking into this? If you want to maintain back
> compatibility, use `guile-config link' or the GUILE_LIBS macro.

Done. Curiously, there was a check in ./configure to see
if guile_config existed, but then it was never actually used!

I also added similar checks for the sqlite3 and mysql backends
(postgres doesn't seem to have one)

There's now a version 2.1.4 of everything that incorporates this.
I hope that the additional mysql/sqlite3 checks don't end
up breaking more than they fix ...

Let me know if there are any other problems.

Again: guile-dbi website:

-- Linas

reply via email to

[Prev in Thread] Current Thread [Next in Thread]